WebScrapingAPI Docs
Retailer APIs

Home Depot API

Scrape Home Depot products in real time with the Home Depot API.

Download Postman collectionHome Depot API

To enable this feature, set the type=product parameter.

Home Depot Product Parameters

The Home Depot Product feature only takes one specific parameter:

ParameterRequiredTypeDescription
product_id✅stringThe ID of the Home Depot product you want to scrape.

Your full GET request should then be sent to the following address:

https://ecom.webscrapingapi.com/v1?api_key=<YOUR_API_KEY>&engine=homedepot&type=product&product_id=<PRODUCT_ID>

How to get Home Depot Product ID

Home Depot identifies products by their ID. Our API uses the same identifier to scrape a Home Depot product.

To get the ID of a Home Depot product, first navigate to its page. The ID of a product can be extracted straight from the URL. The structure of a Home Depot product URL is:

https://<HOMEDEPOT_DOMAIN>/p/<PRODUCT_NAME>/<PRODUCT_ID>

Home Depot Product Integration Examples

curl --get "https://ecom.webscrapingapi.com/v1" \
  --data-urlencode "api_key=<YOUR_API_KEY>" \
  --data-urlencode "engine=homedepot" \
  --data-urlencode "type=product" \
  --data-urlencode "product_id=310268685"
const API_KEY = "<YOUR_API_KEY>";
const SCRAPER_URL = "https://ecom.webscrapingapi.com/v1";

const params = new URLSearchParams({
  api_key: API_KEY,
  engine: "homedepot",
  type: "product",
  product_id: "310268685",
});

const response = await fetch(`${SCRAPER_URL}?${params}`);
const data = await response.text();

console.log(data);
import requests

API_KEY = "<YOUR_API_KEY>"
SCRAPER_URL = "https://ecom.webscrapingapi.com/v1"

PARAMS = {
    "api_key": API_KEY,
    "engine": "homedepot",
    "type": "product",
    "product_id": "310268685",
}

response = requests.get(SCRAPER_URL, params=PARAMS)

print(response.text)
<?php

$apiKey = '<YOUR_API_KEY>';
$scraperUrl = 'https://ecom.webscrapingapi.com/v1';

$query = http_build_query([
    'api_key' => $apiKey,
    'engine' => 'homedepot',
    'type' => 'product',
    'product_id' => '310268685',
]);

$response = file_get_contents("{$scraperUrl}?{$query}");

echo $response;
package main

import (
    "fmt"
    "io"
    "net/http"
    "net/url"
)

func main() {
    apiKey := "<YOUR_API_KEY>"
    baseURL := "https://ecom.webscrapingapi.com/v1"

    params := url.Values{}
    params.Add("api_key", apiKey)
    params.Add("engine", "homedepot")
    params.Add("type", "product")
    params.Add("product_id", "310268685")

    req, _ := http.NewRequest("GET", baseURL+"?"+params.Encode(), nil)
    res, _ := http.DefaultClient.Do(req)
    defer res.Body.Close()

    body, _ := io.ReadAll(res.Body)
    fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URLEncoder;
import java.nio.charset.StandardCharsets;

public class Main {
    public static void main(String[] args) throws Exception {
        String apiKey = "<YOUR_API_KEY>";
        String url = "https://ecom.webscrapingapi.com/v1"
            + "?api_key=" + URLEncoder.encode(apiKey, StandardCharsets.UTF_8)
            + "&engine=homedepot"
            + "&type=product"
            + "&product_id=310268685";

        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create(url))
            .GET()
            .build();

        HttpResponse<String> response = HttpClient.newHttpClient().send(
            request,
            HttpResponse.BodyHandlers.ofString()
        );

        System.out.println(response.body());
    }
}
using System;
using System.Net;
using System.Net.Http;
using System.Threading.Tasks;

class Program
{
    static async Task Main()
    {
        var apiKey = "<YOUR_API_KEY>";
        var url = "https://ecom.webscrapingapi.com/v1"
            + "?api_key=" + WebUtility.UrlEncode(apiKey)
            + "&engine=homedepot"
            + "&type=product"
            + "&product_id=310268685";

        using var client = new HttpClient();
        var response = await client.GetAsync(url);
        var body = await response.Content.ReadAsStringAsync();

        Console.WriteLine(body);
    }
}
require "net/http"
require "uri"

api_key = "<YOUR_API_KEY>"
uri = URI("https://ecom.webscrapingapi.com/v1")
uri.query = URI.encode_www_form({
  api_key: api_key,
  engine: "homedepot",
  type: "product",
  product_id: "310268685",
})

response = Net::HTTP.get_response(uri)

puts response.body

Home Depot Product Response

Response properties

The Home Depot Product feature returns a JSON object containing data related to the scraped Home Depot product. Among others, you will get an overview of:

FieldTypeDescription
namestringProduct name.
brandstringProduct brand.
description_fullstringFull product description.
description_shortstringShort product description or key highlights.
imagesarrayProduct image URLs.
offersarrayProduct offer details, including price and offer URL.
pickup_extrasobjectPickup availability and fulfillment metadata.
pricenumberProduct price when available.
ratingstringAggregate product rating.
related_products_also_viewedarrayProducts also viewed by customers.
related_products_bought_togetherarrayProducts commonly bought together with the current product.
related_products_sponsoredarraySponsored related products.
shipping_extrasobjectShipping availability and delivery metadata.
specificationobjectProduct specification fields.

Response example

{
  "search_parameters": {
    "homedepot_url": "https://www.homedepot.com/p/Intex-24-ft-x-12-ft-x-52-in-Rectangular-Ultra-XTR-Frame-Swimming-Pool-with-Sand-Filter-26363EH/310268685",
    "engine": "homedepot",
    "device": "desktop",
    "type": "product",
    "product_id": "310268685"
  },
  "search_information": {
    "organic_results_state": "Results for exact spelling"
  },
  "product_results": {
    "brand": "Intex",
    "name": "24 ft. x 12 ft. x 52 in. Rectangular Ultra XTR Frame Swimming Pool with Sand Filter",
    "description_short": "Swim your summer days away in the Intex Ultra Frame Rectangular Pool with Sand Pump.",
    "image_primary": "https://images.thdstatic.com/productImages/2d39e8cb-44ad-4a35-9cc8-1ab4fae28ff1/svn/gray-intex-metal-frame-pools-26363eh-64_1000.jpg",
    "images": [
      "https://images.thdstatic.com/productImages/2d39e8cb-44ad-4a35-9cc8-1ab4fae28ff1/svn/gray-intex-metal-frame-pools-26363eh-64_1000.jpg"
    ],
    "model_number": "26363EH",
    "offers": [
      {
        "url": "https://www.homedepot.com/p/Intex-24-ft-x-12-ft-x-52-in-Rectangular-Ultra-XTR-Frame-Swimming-Pool-with-Sand-Filter-26363EH/310268685",
        "price_currency": "USD",
        "price": 1394.99
      }
    ],
    "pickup_available": true,
    "price": 1394.99,
    "price_currency": "USD",
    "product_identifiers": {
      "model": "26363EH",
      "sku": "1004507803",
      "upc": "078257263639"
    },
    "rating": "4.4483",
    "rating_count": "29",
    "related_products_also_viewed": [
      {
        "product_id": "310268672",
        "brand": "Intex",
        "name": "32 ft. x 16 ft. x 52 in. Ultra XTR Rectangular Swimming Pool Set with Pump",
        "price": 1952.89,
        "price_currency": "USD"
      }
    ],
    "specification": {
      "Shape": "Rectangular",
      "Pool Type": "Above Ground"
    }
  }
}

On this page